diff --git a/src/main/java/net/minecraft/core/entity/monster/MobGiant.java b/src/main/java/net/minecraft/core/entity/monster/MobGiant.java
index cb7862550..51decd3b9 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobGiant.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobGiant.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World
-
 import net.minecraft.core.util.collection.NamespaceID;
 import net.minecraft.core.world.World;
 
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobMonster.java b/src/main/java/net/minecraft/core/entity/monster/MobMonster.java
index 4c227bc26..4d70e795c 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobMonster.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobMonster.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityCreature, IMob, World, Entity, 
-//            AxisAlignedBB, MathHelper, EnumSkyBlock, NBTTagCompound
-
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.MobPathfinder;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobScorpion.java b/src/main/java/net/minecraft/core/entity/monster/MobScorpion.java
index e0d35c519..bd515e69a 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobScorpion.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobScorpion.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World, Entity, MathHelper, 
-//            Item, NBTTagCompound
-
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java b/src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java
index 89ce34c38..84de94046 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSkeleton.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World, MathHelper, Entity, 
-//            ProjectileArrow, Item, ItemStack, NBTTagCompound
-
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.projectile.ProjectileArrow;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobSlime.java b/src/main/java/net/minecraft/core/entity/monster/MobSlime.java
index cd8bfcfb2..10a5f2cb2 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobSlime.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSlime.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            Mob, IMob, DataWatcher, NBTTagCompound,
-//            MathHelper, AxisAlignedBB, World, Player,
-//            Item, Chunk
-
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobSnowman.java b/src/main/java/net/minecraft/core/entity/monster/MobSnowman.java
index c1f8705cf..cd0a55f6e 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobSnowman.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSnowman.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World, MathHelper, Item
-
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.Entity;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobSpider.java b/src/main/java/net/minecraft/core/entity/monster/MobSpider.java
index 441d83d91..512eef413 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobSpider.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobSpider.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World, Entity, MathHelper, 
-//            Item, NBTTagCompound
-
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobZombie.java b/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
index 994e8ae20..b15a864e2 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobZombie.java
@@ -1,8 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World, MathHelper, Item
-
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.collection.NamespaceID;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java b/src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java
index 5334a1697..78a29b630 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobZombieArmored.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.entity.monster;
 
-// Referenced classes of package net.minecraft.src:
-//            EntityMob, World, MathHelper, Item
-
-
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityItem;
diff --git a/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java b/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
index accba6dde..970af73a8 100644
--- a/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
+++ b/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
@@ -18,10 +18,6 @@ import net.minecraft.core.util.helper.DamageType;
 import java.util.ArrayList;
 import java.util.List;
 
-// Referenced classes of package net.minecraft.src:
-//            MobZombie, World, NBTTagCompound, Player,
-//            AxisAlignedBB, Entity, Item, ItemStack
-
 public class MobZombiePig extends MobZombie
 {
 
diff --git a/src/main/java/net/minecraft/core/entity/player/Player.java b/src/main/java/net/minecraft/core/entity/player/Player.java
index 10dfc1a10..f49e0c959 100644
--- a/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -394,8 +394,7 @@ public abstract class Player extends Mob
     private void collideWithPlayer(Entity entity)
     {
         entity.playerTouch(this);
-        String entityName = EntityDispatcher.getEncodeId(entity);
-        addStat(StatList.mobEncounterStats.get(entityName), 1);
+        addStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(entity.getClass())), 1);
     }
 
     public int getScore()
@@ -906,8 +905,7 @@ public abstract class Player extends Mob
         }
         addStat(StatList.damageTakenStat, damage);
         if (attacker != null) {
-            String entityName = EntityDispatcher.getEncodeId(attacker);
-            addStat(StatList.mobEncounterStats.get(entityName), 1);
+            addStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(attacker.getClass())), 1);
         }
 
         return super.hurt(attacker, damage, type);
@@ -1093,8 +1091,7 @@ public abstract class Player extends Mob
                 addStat(StatList.damageDealtStat, i);
             }
         }
-        String entityName = EntityDispatcher.getEncodeId(entity);
-        addStat(StatList.mobEncounterStats.get(entityName), 1);
+        addStat(StatList.mobEncounterStats.get(EntityDispatcher.idForClass(entity.getClass())), 1);
     }
 
     public void respawnPlayer()
diff --git a/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrow.java b/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrow.java
index 6eb8cd34b..ccd0b4b41 100644
--- a/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrow.java
+++ b/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrow.java
@@ -14,12 +14,6 @@ import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, Player, Mob, MathHelper,
-//            World, Block, Vec3D, AxisAlignedBB, 
-//            MovingObjectPosition, NBTTagCompound, ItemStack, Item, 
-//            InventoryPlayer
-
 public class ProjectileArrow extends Projectile
 {
     public static final int TYPE_NORMAL = 0;
diff --git a/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowGolden.java b/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowGolden.java
index 5b1eeae44..4ef9a4701 100644
--- a/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowGolden.java
+++ b/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowGolden.java
@@ -1,11 +1,5 @@
 package net.minecraft.core.entity.projectile;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, Player, Mob, MathHelper,
-//            World, Block, Vec3D, AxisAlignedBB, 
-//            MovingObjectPosition, NBTTagCompound, ItemStack, Item, 
-//            InventoryPlayer
-
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Items;
diff --git a/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowPurple.java b/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowPurple.java
index a61e17827..c90168ff5 100644
--- a/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowPurple.java
+++ b/src/main/java/net/minecraft/core/entity/projectile/ProjectileArrowPurple.java
@@ -4,12 +4,6 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, Player, Mob, MathHelper,
-//            World, Block, Vec3D, AxisAlignedBB, 
-//            MovingObjectPosition, NBTTagCompound, ItemStack, Item, 
-//            InventoryPlayer
-
 public class ProjectileArrowPurple extends ProjectileArrow
 {
 
diff --git a/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java b/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java
index fa7230218..22d7136bf 100644
--- a/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java
+++ b/src/main/java/net/minecraft/core/entity/projectile/ProjectileFireball.java
@@ -11,10 +11,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import net.minecraft.core.util.helper.DamageType;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, AxisAlignedBB, MathHelper, Mob,
-//            World, Vec3D, MovingObjectPosition, NBTTagCompound
-
 public class ProjectileFireball extends Projectile
 {
     public static final double FIREBALL_SPEED = 1d;
diff --git a/src/main/java/net/minecraft/core/entity/projectile/ProjectilePebble.java b/src/main/java/net/minecraft/core/entity/projectile/ProjectilePebble.java
index d1c9b657e..75a3f22bf 100644
--- a/src/main/java/net/minecraft/core/entity/projectile/ProjectilePebble.java
+++ b/src/main/java/net/minecraft/core/entity/projectile/ProjectilePebble.java
@@ -8,11 +8,6 @@ import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, AxisAlignedBB, Mob, MathHelper,
-//            World, Vec3D, MovingObjectPosition, NBTTagCompound, 
-//            Player, ItemStack, Item, InventoryPlayer
-
 public class ProjectilePebble extends Projectile
 {
     private boolean firstBounce = true;
diff --git a/src/main/java/net/minecraft/core/entity/projectile/ProjectileSnowball.java b/src/main/java/net/minecraft/core/entity/projectile/ProjectileSnowball.java
index 4bca556fe..9880b5191 100644
--- a/src/main/java/net/minecraft/core/entity/projectile/ProjectileSnowball.java
+++ b/src/main/java/net/minecraft/core/entity/projectile/ProjectileSnowball.java
@@ -4,11 +4,6 @@ import net.minecraft.core.entity.Mob;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.world.World;
 
-// Referenced classes of package net.minecraft.src:
-//            Entity, AxisAlignedBB, Mob, MathHelper,
-//            World, Vec3D, MovingObjectPosition, NBTTagCompound, 
-//            Player, ItemStack, Item, InventoryPlayer
-
 public class ProjectileSnowball extends Projectile
 {
 
diff --git a/src/main/java/net/minecraft/core/item/IComplexItem.java b/src/main/java/net/minecraft/core/item/IComplexItem.java
index f44036c3c..a31626a2b 100644
--- a/src/main/java/net/minecraft/core/item/IComplexItem.java
+++ b/src/main/java/net/minecraft/core/item/IComplexItem.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.packet.Packet;
 import net.minecraft.core.world.World;
diff --git a/src/main/java/net/minecraft/core/item/ItemBed.java b/src/main/java/net/minecraft/core/item/ItemBed.java
index 96e074e6e..ccad71853 100644
--- a/src/main/java/net/minecraft/core/item/ItemBed.java
+++ b/src/main/java/net/minecraft/core/item/ItemBed.java
@@ -2,11 +2,6 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.BlockBed;
 import net.minecraft.core.block.Blocks;
-
-// Referenced classes of package net.minecraft.src:
-//            Item, Block, BlockBed, Player,
-//            MathHelper, World, ItemStack
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Side;
diff --git a/src/main/java/net/minecraft/core/item/ItemBoat.java b/src/main/java/net/minecraft/core/item/ItemBoat.java
index 82334b741..f3408371a 100644
--- a/src/main/java/net/minecraft/core/item/ItemBoat.java
+++ b/src/main/java/net/minecraft/core/item/ItemBoat.java
@@ -1,11 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, Vec3D, MathHelper,
-//            World, MovingObjectPosition, EnumMovingObjectType, Block, 
-//            EntityBoat, ItemStack
-
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.vehicle.EntityBoat;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/item/ItemBow.java b/src/main/java/net/minecraft/core/item/ItemBow.java
index 426616de3..b17f40bf4 100644
--- a/src/main/java/net/minecraft/core/item/ItemBow.java
+++ b/src/main/java/net/minecraft/core/item/ItemBow.java
@@ -1,10 +1,6 @@
 
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, InventoryPlayer, World,
-//            ProjectileArrow, ItemStack
-
 import net.minecraft.core.entity.projectile.ProjectileArrow;
 import net.minecraft.core.entity.projectile.ProjectileArrowGolden;
 import net.minecraft.core.entity.projectile.ProjectileArrowPurple;
diff --git a/src/main/java/net/minecraft/core/item/ItemBucket.java b/src/main/java/net/minecraft/core/item/ItemBucket.java
index 41df2a94a..96034047b 100644
--- a/src/main/java/net/minecraft/core/item/ItemBucket.java
+++ b/src/main/java/net/minecraft/core/item/ItemBucket.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, Vec3D, MathHelper,
-//            World, MovingObjectPosition, EnumMovingObjectType, Material, 
-//            ItemStack, WorldProvider, Block, MobCow
-
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.phys.HitResult;
diff --git a/src/main/java/net/minecraft/core/item/ItemBucketEmpty.java b/src/main/java/net/minecraft/core/item/ItemBucketEmpty.java
index 4137912be..6573ae216 100644
--- a/src/main/java/net/minecraft/core/item/ItemBucketEmpty.java
+++ b/src/main/java/net/minecraft/core/item/ItemBucketEmpty.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, Vec3D, MathHelper,
-//            World, MovingObjectPosition, EnumMovingObjectType, Material,
-//            ItemStack, WorldProvider, Block, MobCow
-
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.animal.MobCow;
diff --git a/src/main/java/net/minecraft/core/item/ItemCoal.java b/src/main/java/net/minecraft/core/item/ItemCoal.java
index 0552046d0..0382a6e3d 100644
--- a/src/main/java/net/minecraft/core/item/ItemCoal.java
+++ b/src/main/java/net/minecraft/core/item/ItemCoal.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, ItemStack
-
 public class ItemCoal extends Item
 {
 
diff --git a/src/main/java/net/minecraft/core/item/ItemDiscMusic.java b/src/main/java/net/minecraft/core/item/ItemDiscMusic.java
index 2b8ae53dc..0e9dc9935 100644
--- a/src/main/java/net/minecraft/core/item/ItemDiscMusic.java
+++ b/src/main/java/net/minecraft/core/item/ItemDiscMusic.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, World, Block, BlockJukebox,
-//            ItemStack, Player
-
 import net.minecraft.core.block.BlockJukebox;
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/item/ItemDoor.java b/src/main/java/net/minecraft/core/item/ItemDoor.java
index e8e8f2ade..eaa4805ec 100644
--- a/src/main/java/net/minecraft/core/item/ItemDoor.java
+++ b/src/main/java/net/minecraft/core/item/ItemDoor.java
@@ -2,11 +2,6 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntityActivator;
-
-// Referenced classes of package net.minecraft.src:
-//            Item, Material, Block, Player,
-//            MathHelper, World, ItemStack
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.Direction;
diff --git a/src/main/java/net/minecraft/core/item/ItemEgg.java b/src/main/java/net/minecraft/core/item/ItemEgg.java
index f7be14b2c..93de7e207 100644
--- a/src/main/java/net/minecraft/core/item/ItemEgg.java
+++ b/src/main/java/net/minecraft/core/item/ItemEgg.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, ItemStack, World, ProjectileEgg,
-//            Player
-
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.projectile.ProjectileEgg;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/item/ItemFireStriker.java b/src/main/java/net/minecraft/core/item/ItemFireStriker.java
index c43e40560..1a78d77de 100644
--- a/src/main/java/net/minecraft/core/item/ItemFireStriker.java
+++ b/src/main/java/net/minecraft/core/item/ItemFireStriker.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, World, Block, BlockFire,
-//            ItemStack, Player
-
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.BlockBrazier;
 import net.minecraft.core.block.BlockFluid;
diff --git a/src/main/java/net/minecraft/core/item/ItemFishingRod.java b/src/main/java/net/minecraft/core/item/ItemFishingRod.java
index d03d623b6..edf198122 100644
--- a/src/main/java/net/minecraft/core/item/ItemFishingRod.java
+++ b/src/main/java/net/minecraft/core/item/ItemFishingRod.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, EntityFish, ItemStack,
-//            World
-
 import net.minecraft.core.entity.EntityFishingBobber;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
diff --git a/src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java b/src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java
index d9b13c8ea..9b436007b 100644
--- a/src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java
+++ b/src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, InventoryPlayer, World,
-//            ProjectileArrow, ItemStack
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.entity.projectile.ProjectileCannonball;
 import net.minecraft.core.world.World;
@@ -21,7 +17,7 @@ public class ItemHandCannonLoaded extends Item
 	@Override
     public ItemStack onUseItem(ItemStack itemstack, World world, Player entityplayer)
     {
-		world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.3F, 1.0F / (itemRand.nextFloat() * -0.2F + -0.4F));
+		world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.3F, 1.0F / (itemRand.nextFloat() * -0.2F - 0.4F));
 
 		if(!world.isClientSide)
 		{
diff --git a/src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java b/src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java
index 278d25003..8c6201eee 100644
--- a/src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java
+++ b/src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, InventoryPlayer, World,
-//            ProjectileArrow, ItemStack
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
diff --git a/src/main/java/net/minecraft/core/item/ItemMap.java b/src/main/java/net/minecraft/core/item/ItemMap.java
index 4ce548df4..eb0789e3b 100644
--- a/src/main/java/net/minecraft/core/item/ItemMap.java
+++ b/src/main/java/net/minecraft/core/item/ItemMap.java
@@ -2,13 +2,6 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-
-// Referenced classes of package net.minecraft.src:
-//            ItemMapBase, MapData, World, ItemStack, 
-//            WorldInfo, WorldProvider, Entity, MathHelper, 
-//            Block, Chunk, Material, MapColor, 
-//            EntityPlayer
-
 import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
diff --git a/src/main/java/net/minecraft/core/item/ItemPainting.java b/src/main/java/net/minecraft/core/item/ItemPainting.java
index 8627381c9..48b3051b8 100644
--- a/src/main/java/net/minecraft/core/item/ItemPainting.java
+++ b/src/main/java/net/minecraft/core/item/ItemPainting.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, EntityPainting, World, ItemStack,
-//            Player
-
 import net.minecraft.core.entity.EntityPainting;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.block.Blocks;
diff --git a/src/main/java/net/minecraft/core/item/ItemQuiver.java b/src/main/java/net/minecraft/core/item/ItemQuiver.java
index 94556b506..337db95ad 100644
--- a/src/main/java/net/minecraft/core/item/ItemQuiver.java
+++ b/src/main/java/net/minecraft/core/item/ItemQuiver.java
@@ -5,10 +5,6 @@ import net.minecraft.core.item.material.ArmorMaterial;
 import net.minecraft.core.player.inventory.slot.Slot;
 import org.jetbrains.annotations.Nullable;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Block, BlockLeaves, ItemStack,
-//            Mob
-
 public class ItemQuiver extends Item implements IArmorItem
 {
 
diff --git a/src/main/java/net/minecraft/core/item/ItemQuiverEndless.java b/src/main/java/net/minecraft/core/item/ItemQuiverEndless.java
index 2987ddb3a..93874ca75 100644
--- a/src/main/java/net/minecraft/core/item/ItemQuiverEndless.java
+++ b/src/main/java/net/minecraft/core/item/ItemQuiverEndless.java
@@ -1,11 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, Block, BlockLeaves, ItemStack,
-//            Mob
-
-
 import net.minecraft.core.item.material.ArmorMaterial;
 
 public class ItemQuiverEndless extends Item implements IArmorItem
diff --git a/src/main/java/net/minecraft/core/item/ItemSaddle.java b/src/main/java/net/minecraft/core/item/ItemSaddle.java
index 5e94a48bc..ecb9f337a 100644
--- a/src/main/java/net/minecraft/core/item/ItemSaddle.java
+++ b/src/main/java/net/minecraft/core/item/ItemSaddle.java
@@ -1,9 +1,5 @@
 package net.minecraft.core.item;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, MobPig, ItemStack, Mob
-
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.entity.animal.MobPig;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/item/ItemSign.java b/src/main/java/net/minecraft/core/item/ItemSign.java
index f90ddfdbe..b9283d055 100644
--- a/src/main/java/net/minecraft/core/item/ItemSign.java
+++ b/src/main/java/net/minecraft/core/item/ItemSign.java
@@ -3,11 +3,6 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntitySign;
-
-// Referenced classes of package net.minecraft.src:
-//            Item, World, Material, Block, 
-//            Player, MathHelper, ItemStack, TileEntitySign
-
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.util.helper.MathHelper;
diff --git a/src/main/java/net/minecraft/core/item/block/ItemBlock.java b/src/main/java/net/minecraft/core/item/block/ItemBlock.java
index 74beedb28..d632fb62b 100644
--- a/src/main/java/net/minecraft/core/item/block/ItemBlock.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlock.java
@@ -14,10 +14,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, Block, World, ItemStack, 
-//            Material, StepSound, Player
-
 public class ItemBlock extends Item
 {
 
diff --git a/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java b/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
index 3b31b0af8..da9cb36ee 100644
--- a/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockAlgae.java
@@ -1,8 +1,4 @@
 package net.minecraft.core.item.block;
-// Referenced classes of package net.minecraft.src:
-//            Item, Player, Vec3D, MathHelper,
-//            World, MovingObjectPosition, EnumMovingObjectType, Block, 
-//            EntityBoat, ItemStack
 
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
diff --git a/src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java b/src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java
index affd673c0..1692cfbf4 100644
--- a/src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java
+++ b/src/main/java/net/minecraft/core/item/block/ItemBlockLayer.java
@@ -1,11 +1,6 @@
 package net.minecraft.core.item.block;
 
 import net.minecraft.core.block.BlockLayerBase;
-
-// Referenced classes of package net.minecraft.src:
-//            Item, Block, World, ItemStack,
-//            Material, StepSound, Player
-
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.player.Player;
diff --git a/src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java b/src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java
index 48c29304a..a8f8a59a9 100644
--- a/src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolHoe.java
@@ -18,10 +18,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, EnumToolMaterial, World, Block, 
-//            GrassBlock, StepSound, ItemStack, Player
-
 public class ItemToolHoe extends ItemTool
 {
     public ItemToolHoe(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
diff --git a/src/main/java/net/minecraft/core/item/tool/ItemToolShears.java b/src/main/java/net/minecraft/core/item/tool/ItemToolShears.java
index f501e1ed5..58ba5b5e3 100644
--- a/src/main/java/net/minecraft/core/item/tool/ItemToolShears.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolShears.java
@@ -1,10 +1,5 @@
 package net.minecraft.core.item.tool;
 
-
-// Referenced classes of package net.minecraft.src:
-//            Item, Block, BlockLeaves, ItemStack, 
-//            Mob
-
 import net.minecraft.core.block.BlockLeavesBase;
 import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.block.tag.BlockTags;
diff --git a/src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java b/src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java
index 19d4ee78e..84e91426a 100644
--- a/src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolShovel.java
@@ -16,9 +16,6 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            ItemTool, Block, EnumToolMaterial
-//updated
 public class ItemToolShovel extends ItemTool
 {
     public ItemToolShovel(String name, String namespaceId, int id, ToolMaterial enumtoolmaterial)
diff --git a/src/main/java/net/minecraft/core/item/tool/ItemToolSword.java b/src/main/java/net/minecraft/core/item/tool/ItemToolSword.java
index 0097ce77a..1e820d7a4 100644
--- a/src/main/java/net/minecraft/core/item/tool/ItemToolSword.java
+++ b/src/main/java/net/minecraft/core/item/tool/ItemToolSword.java
@@ -15,10 +15,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            Item, EnumToolMaterial, Block, ItemStack, 
-//            Mob, Entity
-
 public class ItemToolSword extends Item
 {
 
diff --git a/src/main/java/net/minecraft/core/lang/I18n.java b/src/main/java/net/minecraft/core/lang/I18n.java
index 7cbb05b27..b118a066d 100644
--- a/src/main/java/net/minecraft/core/lang/I18n.java
+++ b/src/main/java/net/minecraft/core/lang/I18n.java
@@ -1,7 +1,6 @@
 package net.minecraft.core.lang;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.Global;
 import org.slf4j.Logger;
 
 import java.io.IOException;
